# Class PRS_ProductComponent
extends CIM_Dependency

PRS_ProductComponent is used to describe 'has a' relationships between Products and their components parts. See PRS_ProductParentChild for 'is a' relationships.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--PRS_ProductComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | PRS_ProductComponent is used to describe 'has a' relationships between Products and their components parts. See PRS_ProductParentChild for 'is a' relationships.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | PRS_ProductComponent | PRS_Product
Dependent | PRS_ProductComponent | PRS_Product

## Class Methods